Package net.shibboleth.idp.plugin.authn.webauthn.admin

# Interface CredentialCreationOptionsParameters.IResidentKeyRequirementStage

All Known Implementing Classes:
  `CredentialCreationOptionsParameters.Builder`

Enclosing class:
  CredentialCreationOptionsParameters

public static interface CredentialCreationOptionsParameters.IResidentKeyRequirementStage
Stage interface.

## Method Summary

Modifier and Type
Method
Description
`CredentialCreationOptionsParameters.IUserHandleStage`
`withResidentKeyRequirement(com.yubico.webauthn.data.ResidentKeyRequirement residentKeyRequirement)`
The requirement on registering a ResidentKey.

## Method Details

### withResidentKeyRequirement

CredentialCreationOptionsParameters.IUserHandleStage withResidentKeyRequirement(@Nonnull com.yubico.webauthn.data.ResidentKeyRequirement residentKeyRequirement)
The requirement on registering a ResidentKey. Also know as a discoverable credential.

Parameters:
  `residentKeyRequirement` - the requirement
Returns:
  the next stage